/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2008
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include <iostream>
#include <vector>

#include <lemon/concepts/graph.h>
#include <lemon/concepts/ugraph.h>
#include <lemon/smart_graph.h>

#include <lemon/edge_set.h>

#include "test_tools.h"
#include "graph_test.h"
#include "map_test.h"


using namespace lemon;
using namespace lemon::concepts;

typedef SmartGraph RGraph;

int main() {
  { // checking edge_sets
    checkConcept<Graph, ListEdgeSet<RGraph> >();
    checkConcept<UGraph, ListUEdgeSet<RGraph> >();
    checkConcept<Graph, SmartEdgeSet<RGraph> >();
    checkConcept<UGraph, SmartUEdgeSet<RGraph> >();
  }

  std::cout << __FILE__ ": All tests passed.\n";

  return 0;
}
